<?php

function checkInfo($schoolName, $className, $userName){
    $errorFlag = array(true,true,true);

    if(empty($schoolName)) 
        $errorFlag[0]=false;
    if(empty($className))
        $errorFlag[1]=false;
    if(empty($userName))
        $errorFlag[2]=false;
        
    return($errorFlag);
}

$f = checkInfo($_POST['schoolName'],$_POST['className'],$_POST['userName']);

if($f[0] && $f[1] && $f[2]){
    // ビデオ表示
   
} else {
    $errorMsg = 'エラー:<br>';
    
    if(!$f[0]) $errorMsg .= $stmt['schoolName'].'が空欄，あるいは間違っています<br>';
    if(!$f[1]) $errorMsg .= $stmt['className'].'が空欄，あるいは間違っています<br>';
    if(!$f[2]) $errorMsg .= $stmt['userName'].'が空欄，あるいは間違っています<br>';
    
    include_once($file['inputform']);
    exit(0);
}


/* viewer */
$number = $_POST['vNum'];
$videoTitle = $vInfo[$number]['title'];
$mp4 = $vInfo[$number]['file'];

$playspeed = array('0.5', '1.0', '1.5');
$playspeed_default = '1.0';

// ログ記録
$token = $logDB->setUser(array($_POST['schoolName'],$_POST['className'],$_POST['userName'],$stmt['LMtitle'].' - '.$videoTitle));
    
$userInfo = $logDB->getUser($token);
$_SESSION['schoolName'] = $userInfo['schoolName'];
$_SESSION['className'] = $userInfo['className'];
$_SESSION['userName'] = $userInfo['userName'];

?><!DOCTYPE html>
<html>
  <head>
    <script src="//code.jquery.com/jquery-1.11.3.min.js"></script>
    <script src="lib/player.js"></script>
    <meta charset="utf-8">
    <title><?=$stmt['pagetitle']?>:<?=$stmt['LMtitle']?></title>
  </head>
  <body>
    <h2 id="videofile"><?=$stmt['LMtitle']?> - <?=$videoTitle?></h2>
    (視聴者: <?=htmlspecialchars($userInfo['userName'])?> (<?=htmlspecialchars($userInfo['schoolName'])?> <?=htmlspecialchars($userInfo['className'])?>))<br>
    <video id="lecvideo" controls preload="auto" width="800" controlslist="nodownload">
      <source src="<?=$mp4?>" type="video/mp4">
      <p>このブラウザは動画再生に対応していません</p>
    </video>
    <?php if($mode['playspeed']){ ?>
	<p>
		
        <?php foreach($playspeed as $p){ ?>
		<input type="radio" name="playSpeed" value="<?=$p?>" <?php if ($p == $playspeed_default) echo 'checked'; ?>>x<?=$p?>&nbsp;
		<?php } ?>
        
	</p>
    <?php } ?>
    
      <p>
        S <canvas id="playedBar" width="700" height="10"></canvas> E
        <span id="now"></span>/<span id="all"></span>(<span id="played"></span>)&nbsp;
        <span id="end"></span>
        <br>(すべて視聴完了すると，下にボタンが現れます)
        </p>
      <input type="hidden" name="token" value="<?=$token?>">
      <form id="finishButton" method="post" value="html5video.php" style="visibility: hidden;">
          <input id="token" type="hidden" name="token" value="<?=$token?>">
          見終わったら，下のボタンを押してください．<br>
          <input type="submit" name="req_submit" value="視聴完了">
          <input id="finishTime" type="hidden" name="finishTime" value="-1">
          <input type="hidden" name="mode" value="movieEnd">
      </form>
      
  </body>
</html>

